Open Infrastructure - Task #6435

Improvements for IPv6.work v1.0
02/05/2019 09:32 AM - Nico Schottelius

Status: Rejected Start date: 02/04/2019
Priority: High Due date: 03/18/2019
Assignee: Nico Schottelius % Done: 90%
Category: Estimated time: 0.00 hour
Target version:

PM Check date: 03/13/2019

Description

Version 1.0 content:

e Add button "applications" to list applications of people

o A user can see their own applications

o A user who has a job can see applications below the job
Allow users to continue the conversation after initial exchange

o support in system "messages”

o we might think about integrating something like matrix.org later

Allow creator to "delete" a job

o should still stay in the DB, but not visible to the public anymore

o Can (should?) still be visible to the creator (and could potentially be reactivated)
o Right term is de-activate. We don't offer delete.

Ensure that we don't reference ANY IPv4 content
o code.jquery.com was mentioned on

https://www.reddit.com/r/ipv6/comments/aow4kr/i_just_launched_an_open_source_ipv6_only/

o Also mentioned on reddit

As usual, app is deployed / updated on the machine.

Checkout responsiveness / ensure it is displayed nicely on mobile

History

#1 - 02/06/2019 03:28 PM - Jason Kim
- PM Check date set to 02/06/2019

#2 - 02/07/2019 09:56 PM - Nico Schottelius

- Description updated

#3 - 02/10/2019 08:10 PM - Nico Schottelius
- Project changed from 34 to Open Infrastructure

- Description updated

#4 - 02/10/2019 10:24 PM - Nico Schottelius

- Assignee changed from Mondi Ravi to William Colmenares

#5 - 02/11/2019 04:34 PM - Jason Kim
- PM Check date changed from 02/06/2019 to 02/12/2019

#6 - 02/12/2019 04:04 AM - William Colmenares

- Status changed from New to In Progress

#7 - 02/13/2019 04:33 PM - Jason Kim
- PM Check date changed from 02/12/2019 to 02/14/2019

#8 - 02/15/2019 05:09 AM - William Colmenares
- Due date changed from 02/14/2019 to 02/25/2019
https://www.reddit.com/r/ipv6/comments/aow4kr/i_just_launched_an_open_source_ipv6_only/

#9 - 02/17/2019 11:27 AM - Jason Kim
- PM Check date changed from 02/14/2019 to 02/17/2019

#10 - 02/20/2019 01:47 PM - Jason Kim
- PM Check date changed from 02/17/2019 to 02/20/2019

#11 - 02/20/2019 09:45 PM - Nico Schottelius
- Description updated

#12 - 02/20/2019 09:45 PM - Nico Schottelius
- Priority changed from Normal to High

#13 - 02/20/2019 09:46 PM - Nico Schottelius
- Description updated

#15 - 02/24/2019 03:04 AM - William Colmenares
- % Done changed from 0 to 30

Little changes in code to running locally and be easier to read

#16 - 03/01/2019 09:40 PM - Nico Schottelius

Just checked: v1.0 features seem not yet to be deployed

#17 - 03/02/2019 03:15 AM - William Colmenares
- Due date changed from 02/25/2019 to 03/04/2019
- % Done changed from 30 to 50

Finishing with creation/deletion jobs.

#18 - 03/07/2019 02:22 PM - Jason Kim
- PM Check date changed from 02/20/2019 to 03/07/2019

#19 - 03/07/2019 03:51 PM - William Colmenares
- Due date changed from 03/04/2019 to 03/11/2019

#20 - 03/11/2019 03:09 PM - Jason Kim
- PM Check date changed from 03/07/2019 to 03/11/2019

#21 - 03/11/2019 06:09 PM - William Colmenares
- Due date changed from 03/11/2019 to 03/14/2019
- PM Check date changed from 03/11/2019 to 03/07/2019

Adding messages support

#22 - 03/13/2019 03:39 PM - Jason Kim
- PM Check date changed from 03/07/2019 to 03/13/2019

#23 - 03/14/2019 03:04 AM - William Colmenares
- Due date changed from 03/14/2019 to 03/15/2019
- % Done changed from 50 to 70

Finishing with mobile-friendly site.

#24 - 03/15/2019 02:47 AM - William Colmenares
- Due date changed from 03/15/2019 to 03/18/2019
working mobile friendly - no not reference any ipv4content

#25 - 03/18/2019 03:35 AM - William Colmenares
- % Done changed from 70 to 90

Finishing some fixes in the frontend, awaiting for deployment

#26 - 03/19/2019 05:16 AM - William Colmenares
- Status changed from In Progress to Feedback

- Assignee changed from William Colmenares to Nico Schottelius

Messages support added, thinking in a way to clean up more the frontend. Maybe we can use sockets for messages.

#27 - 12/09/2022 04:44 PM - Nico Schottelius
- Status changed from Feedback to Rejected
